Page MenuHomePhabricator

[NFC][regalloc] Model weight normalization as a virtual
ClosedPublic

Authored by mtrofin on Oct 1 2020, 4:55 PM.

Details

Summary

Continuing from D88499, we can now model the normalization function as a
virtual member of VirtRegAuxInfo. Note that the default
(normalizeSpillWeight) is also used stand-alone in RAGreedy.

Diff Detail

Event Timeline

mtrofin created this revision.Oct 1 2020, 4:55 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 1 2020, 4:55 PM
mtrofin requested review of this revision.Oct 1 2020, 4:55 PM
mtrofin updated this revision to Diff 295848.Oct 2 2020, 9:19 AM

added virtual dtor

mtrofin added a reviewer: wmi.Oct 5 2020, 9:23 AM
qcolombet accepted this revision.Oct 5 2020, 11:27 AM
This revision is now accepted and ready to land.Oct 5 2020, 11:27 AM
This revision was landed with ongoing or failed builds.Oct 5 2020, 11:42 AM
This revision was automatically updated to reflect the committed changes.